| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
iolink::ImageProperties Class Reference

Hold additionnal info for ImageView data interpretation. More...

`#include <iolink/property/ImageProperties.h>`

## Public Member Functions
| ImageProperties (const SpatialCalibrationProperty &calibration, const ImageInfoProperty &imageInfo)
| Build a ImageProperties by directly specifying SpatialCalibration and imageInfo properties.
| ImageProperties (const ImageProperties &other)
ImageProperties & | operator= (const ImageProperties &other)
| ImageProperties (ImageProperties &&other) noexcept
ImageProperties & | operator= (ImageProperties &&other) noexcept
std::string | toString () const
| Return string representation.
std::shared_ptr< ImageProperties > | clone () const
| Create a copy of the properties instance.
const SpatialCalibrationProperty & | calibration () const
| Return the calibration associated with these properties.
const ImageInfoProperty & | imageInfo () const
| Return the image information associated with these properties.
SpatialCalibrationProperty & | calibration ()
| Return the calibration associated with these properties.
ImageInfoProperty & | imageInfo ()
| Return the image information associated with these properties.
bool | isCompatibleWith (const VectorXu64 &shape, DataType type) const
| Check if the current properties are compatible with given shape and type.
bool | operator== (const ImageProperties &other) const
| Equality operator.

## Static Public Member Functions
static std::shared_ptr< ImageProperties > | fromDataType (DataType dataType)
| Create a property set with all values defaulted, according to a data type.
static std::shared_ptr< ImageProperties > | fromProperties (const SpatialCalibrationProperty &calibration, const ImageInfoProperty &imageInfo)
| Build a ImageProperties from a set of properties.
static std::shared_ptr< ImageProperties > | fromProperties (std::shared_ptr< const ImageProperties > properties, const SpatialCalibrationProperty &calibration)
| Build a ImageProperties by copying properties from another, except the calibration.
static std::shared_ptr< ImageProperties > | fromProperties (std::shared_ptr< const ImageProperties > properties, const ImageInfoProperty &imageInfo)
| Build a ImageProperties by copying properties from another, except the Image info.

## Detailed Description

Hold additionnal info for ImageView data interpretation.

## Constructor & Destructor Documentation

## ◆ ImageProperties()

iolink::ImageProperties::ImageProperties | ( | const SpatialCalibrationProperty & | calibration,
|  | const ImageInfoProperty & | imageInfo
| ) |  |

Build a ImageProperties by directly specifying SpatialCalibration and imageInfo properties.

Parameters

  calibration | SpatialCalibrationProperty to use to initialize ImageProperties
  imageInfo | ImageInfoProperty to use to initialize ImageProperties

## Member Function Documentation

## ◆ calibration()

const SpatialCalibrationProperty & iolink::ImageProperties::calibration | ( |  | ) | const

Return the calibration associated with these properties.

This constant variation is provided in order to be called on constant properties.

## ◆ fromDataType()

static std::shared_ptr< ImageProperties > iolink::ImageProperties::fromDataType | ( | DataType | dataType | ) |
| static

Create a property set with all values defaulted, according to a data type.

Parameters

  dataType | DataType used to build default ImageProperties

Warning
  In order to build ImageProperties compatible with a specific ImageView, given dataType must be retrieved from this ImageView.

## ◆ fromProperties() [1/3]

static std::shared_ptr< ImageProperties > iolink::ImageProperties::fromProperties | ( | const SpatialCalibrationProperty & | calibration,
|  | const ImageInfoProperty & | imageInfo
| ) |  |
| static

Build a ImageProperties from a set of properties.

Parameters

  calibration | SpatialCalibrationProperty to use
  imageInfo | ImageInfoProperty to use

Returns
  ImageProperties built from given calibration and imageInfo properties

## ◆ fromProperties() [2/3]

static std::shared_ptr< ImageProperties > iolink::ImageProperties::fromProperties | ( | std::shared_ptr< const ImageProperties > | properties,
|  | const ImageInfoProperty & | imageInfo
| ) |  |
| static

Build a ImageProperties by copying properties from another, except the Image info.

Parameters

  properties | original ImageProperties to modify with ImageInfo properties
  imageInfo | ImageInfoProperty to set into given ImageProperties

Returns
  new ImageProperties built from given ones and imageInfo

## ◆ fromProperties() [3/3]

static std::shared_ptr< ImageProperties > iolink::ImageProperties::fromProperties | ( | std::shared_ptr< const ImageProperties > | properties,
|  | const SpatialCalibrationProperty & | calibration
| ) |  |
| static

Build a ImageProperties by copying properties from another, except the calibration.

Parameters

  properties | original ImageProperties to modify with calibration properties
  calibration | SpatialCalibrationProperty to set into given ImageProperties

Returns
  new ImageProperties built from given ones and calibration

## ◆ imageInfo()

const ImageInfoProperty & iolink::ImageProperties::imageInfo | ( |  | ) | const

Return the image information associated with these properties.

This constant variation is provided in order to be called on constant properties.

## ◆ isCompatibleWith()

bool iolink::ImageProperties::isCompatibleWith | ( | const VectorXu64 & | shape,
|  | DataType | type
| ) |  | const

Check if the current properties are compatible with given shape and type.

Parameters

  shape | shape of an ImageView
  type | type of an ImageView

Returns
  TRUE if shape and type are compatible with ImageView

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/property/ImageProperties.h